Version Admin passt nicht

Themen, die in keine andere Kategorie passen

Moderator: Co-Administratoren

navino
Beiträge: 187
Registriert: 23.02.2015, 20:19

Version Admin passt nicht

Beitrag von navino » 16.10.2018, 07:05

Was soll mir das sagen?
Zwischenablage01.jpg
Zwischenablage01.jpg (11.03 KiB) 763 mal betrachtet
Zuletzt geändert von Roland M. am 16.10.2018, 10:18, insgesamt 1-mal geändert.
Grund: Thema verschoben

dtp
Beiträge: 7033
Registriert: 21.09.2012, 08:09
Wohnort: Stuttgart
Hat sich bedankt: 10 Mal
Danksagung erhalten: 40 Mal

Re: Version Admin passt nicht

Beitrag von dtp » 16.10.2018, 07:11

Gegenfrage: Was hat eine Frage zum ioBroker im HomeMatic-Forum zu suchen? 8)

Wir wär's mit dieser Anlaufstelle?
CCU3 mit stets aktueller FW und den Addons "CUxD" und "Programmedrucken", ioBroker auf Synology DiskStation DS718+ im Docker-Container, Homebridge auf Raspberry Pi 3B+;
einige Projekte: zentrales Push-Nachrichten-Programm zPNP, DoorPi-Videotürsprechanlage, An- und Abwesenheitsdetektion per Haustürschloss, zentrales Programm zur Steuerung von Beschattungsgeräten zBSP.

Benutzeravatar
JRiemann
Beiträge: 3903
Registriert: 12.11.2015, 21:05
Wohnort: Aurich

Re: Version Admin passt nicht

Beitrag von JRiemann » 16.10.2018, 08:55

navino hat geschrieben:
16.10.2018, 07:05
Was soll mir das sagen?
Und um die Frage doch noch zu beantworten:
Du hattest irgendwann die "latest" Repo der Adapter eingestellt oder hast eine Version des Adapters über GitHub installiert. Auf diesem Weg sind auch Adapter verfügbar die sich noch im Betastatus befinden. Weil jetzt Adapterversionen installiert sind die noch nicht auf der eingestellten "default" Liste stehen ist die Anzeige der Versionsnummern der Adapter etwas verwirrend.
"Verfügbare Version 3.4.7" bezieht sich in diesem Fall auf die höchste verfügbare stabile Version des Adapters.
"Installierte Version 3.5.6" sagt aus das Du die noch als "beta" eingestufte Version aus dem "latest Repo" installiert hast.
Viele Grüße!
Jörg

dtp
Beiträge: 7033
Registriert: 21.09.2012, 08:09
Wohnort: Stuttgart
Hat sich bedankt: 10 Mal
Danksagung erhalten: 40 Mal

Re: Version Admin passt nicht

Beitrag von dtp » 16.10.2018, 09:15

Vielleicht einfach mal in den Einstellungen auf "latest" schalten.
ioBroker_Admin.png
Aktuell ist übrigens Admin 3.5.10.
CCU3 mit stets aktueller FW und den Addons "CUxD" und "Programmedrucken", ioBroker auf Synology DiskStation DS718+ im Docker-Container, Homebridge auf Raspberry Pi 3B+;
einige Projekte: zentrales Push-Nachrichten-Programm zPNP, DoorPi-Videotürsprechanlage, An- und Abwesenheitsdetektion per Haustürschloss, zentrales Programm zur Steuerung von Beschattungsgeräten zBSP.

Benutzeravatar
JRiemann
Beiträge: 3903
Registriert: 12.11.2015, 21:05
Wohnort: Aurich

Re: Version Admin passt nicht

Beitrag von JRiemann » 16.10.2018, 09:22

Nö, auf latest stelle ich nur selten weil ich in letzter Zeit einige Probleme mit "Beta-Adaptern" hatte.
Ich möchte ausschließlich Updatebenachrichtigungen zu Versionen aus dem latest Repo.
Und gerade mit dem Admin gab es mit Versionen größer 3.4.7. massive Probleme... (ob die mit 3.5.10 behoben sind kann ich nicht sagen)
Viele Grüße!
Jörg

dtp
Beiträge: 7033
Registriert: 21.09.2012, 08:09
Wohnort: Stuttgart
Hat sich bedankt: 10 Mal
Danksagung erhalten: 40 Mal

Re: Version Admin passt nicht

Beitrag von dtp » 16.10.2018, 09:28

JRiemann hat geschrieben:
16.10.2018, 09:22
Und gerade mit dem Admin gab es mit Versionen größer 3.4.7. massive Probleme... (ob die mit 3.5.10 behoben sind kann ich nicht sagen)
Da habe ich wohl Glück gehabt. Bei mir lief der ioBroker (Installation im Docker auf einer DiskStation 718+) die letzten Monate nach jedem Update konstant und problemlos weiter. Vielleicht habe ich aber einfach auch nur die "richtigen" Adapter laufen. 8)
CCU3 mit stets aktueller FW und den Addons "CUxD" und "Programmedrucken", ioBroker auf Synology DiskStation DS718+ im Docker-Container, Homebridge auf Raspberry Pi 3B+;
einige Projekte: zentrales Push-Nachrichten-Programm zPNP, DoorPi-Videotürsprechanlage, An- und Abwesenheitsdetektion per Haustürschloss, zentrales Programm zur Steuerung von Beschattungsgeräten zBSP.

Benutzeravatar
JRiemann
Beiträge: 3903
Registriert: 12.11.2015, 21:05
Wohnort: Aurich

Re: Version Admin passt nicht

Beitrag von JRiemann » 16.10.2018, 09:42

Mit dem Admin 3.5.x kam es bei vielen dazu das sich Adapter und Geräte selbstständig gemacht haben.
Bei mir gab es z.B. totales Chaos mit HomeMatic. Aktoren wurden grundlos geschaltet, Zustände von Variablen wurden falsch gesetzt usw.
Andere User hatte auch Probleme mit weiteren Adaptern die nachweislich auf den Admin zurückzuführen waren. Einige Versionen wurden auch kurz nach Erscheinen wieder aus der Repo zurückgezogen. Es gibt einige lange Themen im Forum dazu.
Viele Grüße!
Jörg

Benutzeravatar
Black
Beiträge: 2152
Registriert: 12.09.2015, 22:31
Wohnort: Wegberg
Hat sich bedankt: 14 Mal
Danksagung erhalten: 47 Mal
Kontaktdaten:

Re: Version Admin passt nicht

Beitrag von Black » 16.10.2018, 10:49

das war aber eher eine die versuchs Versionen des js-Controllers (1.5.x) die nur probleme machten und auch zurückgenommen wurden. aktuell 1.4.2.

der admin macht bei mir in 3.5.8 (Produktiv) und 3.5.10 (Spielsystem keine Probleme)

Black
Die Wahrheit ist ein Chor aus Wind
Meine Seite, ok noch bisschen im Aufbau

RaspberryMatic 3.47.22.20191026 mit Groundplane Antennenmod
jede Menge Sensoren und Aktoren, Logamatic 2107 Gateway zum Buderus Kessel
ioBroker unter ProxMox auf NUC als Hauptsteuersystem und Visualisierung
Script Time Scheduler V1.3
SDV 3.09.05 Scripteditor und Objektinspektor

dtp
Beiträge: 7033
Registriert: 21.09.2012, 08:09
Wohnort: Stuttgart
Hat sich bedankt: 10 Mal
Danksagung erhalten: 40 Mal

Re: Version Admin passt nicht

Beitrag von dtp » 16.10.2018, 10:55

JRiemann hat geschrieben:
16.10.2018, 09:42
Es gibt einige lange Themen im Forum dazu.
Ja, die kenne ich zum Teil. Aber wie gesagt, all die Probleme sind mir irgendwie fremd. Fast so, wie die vielen hier geschilderten Probleme mit der HomeMatic. Vielleicht liegt es ja doch daran, dass ich keinerlei Wired- und nur sehr wenige HMIP-Komponenten habe. 8)

Was den ioBroker angeht, so habe ich ab einem gewissen Punkt (hatte noch eine Zeit lang die Version 2 laufen) wirklich jeden Update-Schritt der Version 3 des Admin-Adapters und des zugehörigen js-controllers mitgemacht und nie irgendwelche dramatischen Unstimmigkeiten feststellen können. Klar, kleinere Probleme gab es schon mal mit dem einen oder anderen Adapter, aber - wie gesagt - nichts Dramatisches. Die HomeMatic-Adapter liefen zum Beispiel bei mir immer sehr zufrieden stellend und zeigten stets alle Datenpunkte korrekt an. Darum benutze ich den ioBroker auch so gerne zur Visualisierung.
CCU3 mit stets aktueller FW und den Addons "CUxD" und "Programmedrucken", ioBroker auf Synology DiskStation DS718+ im Docker-Container, Homebridge auf Raspberry Pi 3B+;
einige Projekte: zentrales Push-Nachrichten-Programm zPNP, DoorPi-Videotürsprechanlage, An- und Abwesenheitsdetektion per Haustürschloss, zentrales Programm zur Steuerung von Beschattungsgeräten zBSP.

navino
Beiträge: 187
Registriert: 23.02.2015, 20:19

Re: Version Admin passt nicht

Beitrag von navino » 16.10.2018, 11:06

Sorry, habe natürlich das falsche Forum benutzt.
Ich habe nie was aus irgendeinem repository gezogen was noch Beta ist, sondern immer über den allgemeinen Weg

Antworten

Zurück zu „OffTopic“